Package Details: fsharp 4.5.0-3

Git Clone URL: https://aur.archlinux.org/fsharp.git (read-only)
Package Base: fsharp
Description: The F# Compiler, Core Library & Tools (F# Software Foundation Repository)
Upstream URL: http://fsharp.org/
Licenses: MIT
Submitter: arojas
Maintainer: brettgilio
Last Packager: brettgilio
Votes: 29
Popularity: 0.982137
First Submitted: 2017-10-24 07:26
Last Updated: 2018-09-09 21:00

Latest Comments

1 2 3 4 5 Next › Last »

ShalokShalom commented on 2019-06-06 08:27

2 informative links:

https://github.com/fsharp/fsharp/issues/900 https://github.com/dotnet/fsharp/issues/6943

doctorzeus commented on 2019-05-06 03:16

Thanks @brettgilio.

How odd.

I am rather suspicious as a lot of the tools from Xamarin and other mono projects seem to be rather slack with their updates as of late since Microsoft bought them out.

brettgilio commented on 2019-05-06 03:13

@doctorzeus The 10 series are a special build. I am waiting for them to tag 4.6.0 which was released about a month ago but has not been bundled for whatever reason.

zerophase commented on 2018-11-10 21:46

Is the 10 series of releases on the github page a beta build, and did they really change the major version because of Windows 10?

beto commented on 2018-10-15 13:45

@brettgilio

Hi and thanks for your support and I downloaded it again and it work like a charm!!. Maybe, the error was due to a bad connection or something like that.

brettgilio commented on 2018-10-14 19:49

@beto

Hi. I am not able to replicate your error on a fresh install. Could you provide some more information?

beto commented on 2018-10-13 18:55

It launches an error while compiling:

error FS0222: Files in libraries or multiple-file applications must begin with a namespace or module declaration, e.g. 'namespace SomeNamespace.SubNamespace' or 'module SomeNamespace.SomeModule'. Only the last source file of an application may omit such a declaration in sharp/src/fsharp-4.5.0/src/fsharp/FSharp.Compiler.Private/FSharp.Compiler.Private.fsproj

brettgilio commented on 2018-09-09 20:59

Changes are pushed. You will likely have to update manually.

lightdot commented on 2018-09-09 11:48

@brettgilio, NobbZ PKGBUILD changes seem reasonable. I suggest a further change of:

source=("https://github.com/fsharp/fsharp/archive/${pkgver}.tar.gz")

into:

source=("$pkgname-$pkgver.tar.gz::https://github.com/fsharp/fsharp/archive/$pkgver.tar.gz")

NobbZ commented on 2018-09-08 08:07

I have to add though, that even users of AUR-helpers need to manually reinstall this package, as most AUR helpers simply will prefer the "newer" 10.x version over the "old" 4.x.